/*
 *++
COPYRIGHT:
This file is part of the GSM Suite, a set of programs for
manipulating state machines in a graphical fashion.
Copyright (C) 1996, 1997  G. Andrew Mangogna.

LICENSE:
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the
Free Software Foundation, Inc.,
59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA.

MODULE:

$RCSfile: ExitDialogDirector.h,v $
$Revision: 1.2 $
$Date: 1997/07/02 04:45:03 $

ABSTRACT:

CONDITIONAL COMPILATION:

MODIFICATION HISTORY:
$Log: ExitDialogDirector.h,v $
Revision 1.2  1997/07/02 04:45:03  andrewm
Added copyright and license notices to the tops of the files.

Revision 1.1  1997/03/04 06:34:40  andrewm
New director objects used for more complex dialogs.

 *--
 */
#ifndef _ExitDialogDirector_h_
#define _ExitDialogDirector_h_

/*
PRAGMAS
*/
#ifdef __GNUG__
#	pragma interface
#endif /* __GNUG__ */

/*
INCLUDE FILES
*/
#include "SaveDialogDirector.h"

/*
MACRO DEFINITIONS
*/

/*
CLASS FORWARD REFERENCES
*/

/*
CLASS DEFINITIONS
*/

class ExitDialogDirector :
	public SaveDialogDirector
{
public:
	ExitDialogDirector(UIComponent *parent, Document& document) ;
	virtual ~ExitDialogDirector() ;

	virtual void show_dialog() ;

	virtual void save_yes() ;
	virtual void save_no() ;

	void exit_yes() ;
	void exit_no() ;

private:
	QuestionDialog *_exit_question ;
} ;


#endif /* _ExitDialogDirector_h_ */
