/*
 *++
COPYRIGHT:
This file is part of the GSM Suite, a set of programs for
manipulating state machines in a graphical fashion.
Copyright (C) 1996, 1997  G. Andrew Mangogna.

LICENSE:
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the
Free Software Foundation, Inc.,
59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA.

MODULE:

$RCSfile: FileSaveAsDialogDirector.cc,v $
$Revision: 1.2 $
$Date: 1997/07/02 04:45:05 $

ABSTRACT:

CONDITIONAL COMPILATION:

MODIFICATION HISTORY:
$Log: FileSaveAsDialogDirector.cc,v $
Revision 1.2  1997/07/02 04:45:05  andrewm
Added copyright and license notices to the tops of the files.

Revision 1.1  1997/03/04 06:34:41  andrewm
New director objects used for more complex dialogs.

 *--
 */

/*
PRAGMAS
*/
#ifdef __GNUG__
#	pragma implementation
#endif /* __GNUG__ */

/*
INCLUDE FILES
*/
#include "FileSaveAsDialogDirector.h"
#include "QuestionDialog.h"
#include "FileSelectionDialog.h"
#include "CSutils.h"
#include "Document.h"

/*
MACRO DEFINITIONS
*/

/*
TYPE DEFINITIONS
*/
typedef SimpleCommand<FileSaveAsDialogDirector> FSADD_Command ;
typedef SimpleXmCommand<FileSaveAsDialogDirector> FSADD_XmCommand ;

/*
EXTERNAL FUNCTION REFERENCES
*/

/*
FORWARD FUNCTION REFERENCES
*/

/*
FORWARD CLASS REFERENCES
*/

/*
EXTERNAL DATA REFERENCES
*/

/*
EXTERNAL DATA DEFINITIONS
*/

/*
STATIC DATA ALLOCATION
*/
static char rcsid[] = "@(#) $RCSfile: FileSaveAsDialogDirector.cc,v $ $Revision: 1.2 $" ;

/*
STATIC MEMBER DEFINITIONS
*/

/*
FUNCTION DEFINITIONS
*/

FileSaveAsDialogDirector::
FileSaveAsDialogDirector(
	UIComponent *parent,
	Document& document) :
		FileDialogDirector(parent, document)
{
}


void FileSaveAsDialogDirector::
file_action(
	XmAnyCallbackStruct *callback_data)
{
	XmFileSelectionBoxCallbackStruct *cb =
		(XmFileSelectionBoxCallbackStruct *)callback_data ;
	char *filename = CSToText(cb->value) ;
	_document.save(filename) ;
	XtFree(filename) ;
}
